/**
 * A {@link Criterion} defines what the Juracus AI has to analyze. For each {@link Criterion} there is a short name {@link #name} and description.
 *
 * @author Sven Wensing
 *  */
import { ApiOption } from './ApiOption';
import { ApiOptions } from './ApiOptions';
import { Criterion } from './Criterion';
import { CriterionFilter } from './CriterionFilter';
export declare class CriterionWithOptions {
    criterion: Criterion;
    apiOptions: ApiOptions;
    constructor(criterion: Criterion, enabledOptions?: ApiOption[], criteriaFilterOptions?: CriterionFilter[]);
}
